import { LitElement } from 'lit-element/lit-element.js';
import '@kano/styles/typography.js';
import { IPartAPI } from '../api.js';
import './kc-add-part-item.js';
export declare class KCAddPart extends LitElement {
    parts: IPartAPI[];
    whitelist: string[] | null;
    static readonly styles: import("lit-element").CSSResult;
    render(): import("lit-element").TemplateResult;
    getPartElement(type: string): Element | null;
    getFilteredParts(): IPartAPI[];
    _onClick(part: IPartAPI): void;
}
